Unable to find initial setup feed


#1

I have installed OpenVAS but when I run openvas-setup it cannot find the current feed. Is it missing from the site or is it looking in the wrong location?

openvas-setup

Openvas Setup, Version: 0.5
Step 1: Update NVT’s and SCAP data
Please note this step could take some time.
Once completed, NVT’s and SCAP data will be updated automatically every 24 hours

Updating NVTs…

–2018-12-31 15:13:50-- http://www.openvas.org/openvas-nvt-feed-current.tar.bz2
Resolving www.openvas.org… 185.135.33.8
Connecting to www.openvas.org|185.135.33.8|:80… connected.
HTTP request sent, awaiting response… 404 Not Found
2018-12-31 15:13:51 ERROR 404: Not Found.


#2

You seem to be using a very old version.

The download URL was changed back in 2016 and we supported both URL in parallel for quite some time:


#3

Thank you for the feed back.
I was installing on Centos 6. When I searched around, I found many references recommending install from the Atomicorp website using wget -q -O - http://www.atomicorp.com/installers/atomic |sh
Unfortunatly that must be an outdated script.

I couldn’t find any references that refer to installing on Centos 6 or 7 since the files were moved to git so I have abandoned the install.


#4

Maybe contact the packet maintainer to update his binaries alternative you can use a GCE or build it from the scratch.


#5

I have install openvas 8 on ubuntu 16.04

and also got same error while run following command: sudo openvas-nvt-sync

Please see the below image

please provide solution for this as soon as possible.


#6

@rupeshkokare,
it looks like you, (like OP Stevo above) are using an old URL for the OpenVAS feed. In the github issue Jan linked in his answer is mentioned that the address isn’t http://www.openvas.org/openvas-nvt-feed-current.tar.bz2 anymore, but http://dl.greenbone.net/community-nvt-feed-current.tar.bz2 .


#7

If you are not sure, it’s always a good starting point using the GCE (Greenbone Community Edition) that does not have this type of issues as 3rd party packets and is supported right here ,-)

https://www.greenbone.net/community-edition/


#8

And also you are using an outdated OpenVAS version. The current stable is OpenVAS/GVM 9